#include <engine.h>

/*
	Time Manipulation
	// base tick = 0.4;
	// *2 = 0.2;
	// *0.5 = 0.8;
*/
#define BASE_TICK 0.4

void	TimeManipulation(float *tick) {
	if (1) {
		*tick = BASE_TICK;
	}
	if (2) {
		*tick = BASE_TICK * 2;
	}
	if (3) {
		*tick = BASE_TICK * 0.5;
	}
}

/*
	Toggle Show Debug (hitbox, scanray, scan cone, vision cone, interactrion range, overlay)
*/
void	DebugRender() {

}

/*
	State Machine (Game over, Quest Complete, Reset, StartGame, Reload)
*/
void	StateMachine(ENGINE_STATE_E *state) {
	(state);
}

/*
	Live Data Inspector (UI Panel) 
	current state of a selected NPC or Item
*/
void	DataInspector() {

}

/*
	Debug Console
	
	INFO: may not be needed to thread this as input may only be available in main thread
*/
void	DebugConsole() {
	char	user_input[256];
}
